Package org.apache.tapestry5.internal

## Class SelectModelImpl

- java.lang.Object
- - org.apache.tapestry5.util.AbstractSelectModel
  - - org.apache.tapestry5.internal.SelectModelImpl

- All Implemented Interfaces:
    `SelectModel`

      public final class SelectModelImpl
      extends AbstractSelectModel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectModelImpl​(List<OptionGroupModel> optionGroups, List<OptionModel> optionModels)` |
    `SelectModelImpl​(OptionGroupModel... groupModels)` |
    `SelectModelImpl​(OptionModel... optionModels)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<OptionGroupModel>` | `getOptionGroups()` | The list of groups, each containing some number of individual options.
    `List<OptionModel>` | `getOptions()` | The list of ungrouped options, which appear after any grouped options.

    - ### Methods inherited from class org.apache.tapestry5.util.AbstractSelectModel

      `visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectModelImpl

          public SelectModelImpl​(List<OptionGroupModel> optionGroups,
                                 List<OptionModel> optionModels)

    - #### SelectModelImpl

          public SelectModelImpl​(OptionModel... optionModels)

    - #### SelectModelImpl

          public SelectModelImpl​(OptionGroupModel... groupModels)

  - ### Method Detail

    - #### getOptionGroups

          public List<OptionGroupModel> getOptionGroups()

      Description copied from interface: `SelectModel`
      The list of groups, each containing some number of individual options.
      Returns:
        the groups, or null

    - #### getOptions

          public List<OptionModel> getOptions()

      Description copied from interface: `SelectModel`
      The list of ungrouped options, which appear after any grouped options. Generally, a model will either provide option groups or ungrouped options, but not both.
      Returns:
        the ungrouped options, or null